Apply JSON import.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/entity/example/data-transfer/import/json/apply"), Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "ProfileId", } } }, new StringContent("") { Headers = { ContentType = new MediaTypeHeaderValue("application/octet-stream"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "File", FileName = "file", } } }, new StringContent("1") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "SelectedRowIndexes", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/data-transfer/import/json/apply';const form = new FormData();form.append('ProfileId', 'example');form.append('File', 'file');form.append('SelectedRowIndexes', '1');
const options = {method: 'POST'};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/entity/example/data-transfer/import/json/apply \ --header 'Content-Type: multipart/form-data' \ --form ProfileId=example \ --form File=@file \ --form SelectedRowIndexes=1Applies selected rows from an uploaded JSON entity export package.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity definition identifier or normalized entity key.
Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Data transfer profile identifier.
Uploaded JSON export package.
One-based uploaded record indexes to apply.
Responses
Section titled “Responses”OK
object
Result of applying selected rows from a JSON entity-instance import package.
object
JSON data transfer format version.
UTC timestamp when apply finished.
Entity definition metadata included in a JSON export document.
object
Entity definition identifier.
Internal entity key.
User-facing singular display name.
User-facing plural display name.
Import profile metadata used to generate a JSON import plan.
object
Profile identifier.
Stable profile key.
User-facing profile name.
Aggregate counts for a JSON import apply operation.
object
Selected uploaded row count.
Rows applied successfully, including rows with warnings.
Rows that failed validation or mutation.
Rows applied with warnings.
Selected rows classified as creates.
Selected rows classified as updates.
Selected rows classified as skipped.
Warning and error counts grouped into stable workflow categories.
Aggregate import issue count grouped by stable UI category and severity.
object
Number of row issues in this category and severity.
Per-selected-row apply results.
Result for one selected JSON import row.
object
One-based row index in the uploaded JSON records array.
Resolved identity value used for matching.
Matched runtime entity instance id when the row updated an existing record.
Affected runtime entity instance id after a successful mutation.
Current optimistic-concurrency token after a successful mutation.
Canonical field keys changed by the committed mutation.
Blocking row or mutation errors.
object
object
Non-blocking row or mutation warnings.
object
object
object
object
object
object
Example
{ "Data": { "Profile": { "ImportMode": 0, "IdentityMode": 0 }, "IssueCategories": [ { "Category": 0, "Severity": 0 } ], "Rows": [ { "Action": 0, "Status": 0, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Result of applying selected rows from a JSON entity-instance import package.
object
JSON data transfer format version.
UTC timestamp when apply finished.
Entity definition metadata included in a JSON export document.
object
Entity definition identifier.
Internal entity key.
User-facing singular display name.
User-facing plural display name.
Import profile metadata used to generate a JSON import plan.
object
Profile identifier.
Stable profile key.
User-facing profile name.
Aggregate counts for a JSON import apply operation.
object
Selected uploaded row count.
Rows applied successfully, including rows with warnings.
Rows that failed validation or mutation.
Rows applied with warnings.
Selected rows classified as creates.
Selected rows classified as updates.
Selected rows classified as skipped.
Warning and error counts grouped into stable workflow categories.
Aggregate import issue count grouped by stable UI category and severity.
object
Number of row issues in this category and severity.
Per-selected-row apply results.
Result for one selected JSON import row.
object
One-based row index in the uploaded JSON records array.
Resolved identity value used for matching.
Matched runtime entity instance id when the row updated an existing record.
Affected runtime entity instance id after a successful mutation.
Current optimistic-concurrency token after a successful mutation.
Canonical field keys changed by the committed mutation.
Blocking row or mutation errors.
object
object
Non-blocking row or mutation warnings.
object
object
object
object
object
object
Example
{ "Data": { "Profile": { "ImportMode": 0, "IdentityMode": 0 }, "IssueCategories": [ { "Category": 0, "Severity": 0 } ], "Rows": [ { "Action": 0, "Status": 0, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Result of applying selected rows from a JSON entity-instance import package.
object
JSON data transfer format version.
UTC timestamp when apply finished.
Entity definition metadata included in a JSON export document.
object
Entity definition identifier.
Internal entity key.
User-facing singular display name.
User-facing plural display name.
Import profile metadata used to generate a JSON import plan.
object
Profile identifier.
Stable profile key.
User-facing profile name.
Aggregate counts for a JSON import apply operation.
object
Selected uploaded row count.
Rows applied successfully, including rows with warnings.
Rows that failed validation or mutation.
Rows applied with warnings.
Selected rows classified as creates.
Selected rows classified as updates.
Selected rows classified as skipped.
Warning and error counts grouped into stable workflow categories.
Aggregate import issue count grouped by stable UI category and severity.
object
Number of row issues in this category and severity.
Per-selected-row apply results.
Result for one selected JSON import row.
object
One-based row index in the uploaded JSON records array.
Resolved identity value used for matching.
Matched runtime entity instance id when the row updated an existing record.
Affected runtime entity instance id after a successful mutation.
Current optimistic-concurrency token after a successful mutation.
Canonical field keys changed by the committed mutation.
Blocking row or mutation errors.
object
object
Non-blocking row or mutation warnings.
object
object
object
object
object
object
Example
{ "Data": { "Profile": { "ImportMode": 0, "IdentityMode": 0 }, "IssueCategories": [ { "Category": 0, "Severity": 0 } ], "Rows": [ { "Action": 0, "Status": 0, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Result of applying selected rows from a JSON entity-instance import package.
object
JSON data transfer format version.
UTC timestamp when apply finished.
Entity definition metadata included in a JSON export document.
object
Entity definition identifier.
Internal entity key.
User-facing singular display name.
User-facing plural display name.
Import profile metadata used to generate a JSON import plan.
object
Profile identifier.
Stable profile key.
User-facing profile name.
Aggregate counts for a JSON import apply operation.
object
Selected uploaded row count.
Rows applied successfully, including rows with warnings.
Rows that failed validation or mutation.
Rows applied with warnings.
Selected rows classified as creates.
Selected rows classified as updates.
Selected rows classified as skipped.
Warning and error counts grouped into stable workflow categories.
Aggregate import issue count grouped by stable UI category and severity.
object
Number of row issues in this category and severity.
Per-selected-row apply results.
Result for one selected JSON import row.
object
One-based row index in the uploaded JSON records array.
Resolved identity value used for matching.
Matched runtime entity instance id when the row updated an existing record.
Affected runtime entity instance id after a successful mutation.
Current optimistic-concurrency token after a successful mutation.
Canonical field keys changed by the committed mutation.
Blocking row or mutation errors.
object
object
Non-blocking row or mutation warnings.
object
object
object
object
object
object
Example
{ "Data": { "Profile": { "ImportMode": 0, "IdentityMode": 0 }, "IssueCategories": [ { "Category": 0, "Severity": 0 } ], "Rows": [ { "Action": 0, "Status": 0, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}